# $Revision: 1.27 $, $Date: 2002/11/14 08:22:07 $
Summary:	On Screen Display (like in TV) for X11
Summary(pl):	Wywietlanie napisw na ekranie podobnie jak w telewizorach (OSD)
Name:		xosd
Version:	2.0.1
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://www.ignavus.net/%{name}-%{version}.tar.gz
Patch0:		%{name}-include.patch
URL:		http://www.ignavus.net/software.html
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gtk+-devel
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XOSD allows On Screen Displaying on your monitor under X11. It could
show current volume while changing it, or information about new mail
arrival. It has plugin for XMMS attached as an example what it can do.

%description -l pl
XOSD suy do wywietlania na monitorze napisw w sposb podobny
do tego jak to si dzieje we wspczesnych telewizorach (OSD). Moe on
pokazywa aktualn gono podczas jej zmieniania, albo informacje o
nowej poczcie. Do programu zostaa doczona wtyczka dla XMMS
pokazujca, co tak naprawd potrafi XOSD.

%package devel
Summary:	Header files and documentation for developers of XOSD
Summary(pl):	Pliki nagwkowe oraz dokumentcja dla programistw XOSD
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Files allowing development of xosd-based applications.

%description devel -l pl
Pliki pozwalajce tworzy programy w oparciu o xosd.

%package static
Summary:	Static libraries for XOSD
Summary(pl):	Statyczne biblioteki dla XOSD
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description static
Static libraries for XOSD.

%description static -l pl
Statyczne biblioteki dla XOSD.

%package -n xmms-general-xosd
Summary:	Plugin for XMMS that allows On Screen Displaying (OSD)
Summary(pl):	Wtyczka dla XMMS, ktra umoliwa wywietlanie informacji na ekranie (OSD)
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}
Requires:	xmms

%description -n xmms-general-xosd
Plugin for XMMS enabling On Screen Display (OSD) showing names of
played files, volume, etc.

%description -n xmms-general-xosd -l pl
Wtyczka dla XMMS pokazujca na ekranie (OSD) aktualne informacje o
odgrywanej piosence, gonoci, itd.

%prep
%setup  -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
autoconf
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/xmms/General,%{_includedir},%{_mandir}/man3}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/osd_cat
%attr(755,root,root) %{_libdir}/libxosd.so.*.*.*
%{_mandir}/man1/*.1*

%files -n xmms-general-xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/General/libxmms_osd.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xosd-config
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/xmms/General/libxmms_osd.la
%attr(755,root,root) %{_datadir}/xosd/*.png
%{_includedir}/*.h
%{_aclocaldir}/libxosd.m4
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libxosd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xosd.spec,v $
Revision 1.27  2002/11/14 08:22:07  krzak
- missing png files

Revision 1.26  2002/11/14 08:01:29  krzak
- upgrade to 2.0.1

Revision 1.25  2002/10/30 19:54:30  aflinta
- __libtoolize is back, now it is working, I don't know why, strange tool.

Revision 1.24  2002/10/29 23:06:53  aflinta
- removed %%{__libtoolize} which breaks xmms plugin

Revision 1.23  2002/10/29 18:51:36  krzak
release 2
patch to fix broken #include paths
STBR

Revision 1.22  2002/10/29 10:46:31  qboosh
- BuildConflicts with old headers (or patch must be added)...

Revision 1.21  2002/10/26 13:18:29  krzak
upgrade to version 2.0.0

Revision 1.20  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/09/13 22:10:46  blues
- release 2 - xmms plugin should require xmms.... STBR

Revision 1.18  2002/09/13 12:47:50  blues
- 1.0.4 - finally it won't hang sometimes on LOCALE != "C" - STBR

Revision 1.17  2002/08/30 23:26:07  blues
- static is back again - there is separate static package...

Revision 1.16  2002/08/30 19:33:41  kloczek
- add --disable-static to autoconf parameters.

Revision 1.15  2002/08/30 11:27:45  blues
- 1.0.3 - license changed, removed missing file now - STBR

Revision 1.14  2002/08/17 12:59:45  blues
- 1.0.2 - STBR

Revision 1.13  2002/08/12 15:30:23  kloczek
- added using %%{_aclocaldir} macro.

Revision 1.12  2002/08/12 14:55:36  blues
- 1.0.1 - some code cleanups and fixes, added missing file, STBR

Revision 1.11  2002/07/19 22:13:42  blues
- 1.0.0
- small fixes
STBR

Revision 1.10  2002/07/15 07:58:25  rrw
- (polish, since it is about polish translation)
  poprawiony koszmarny koszmarek w tumaczeniu:
  <a href="http://fatagnus.art.pl/tluczen.fa21.fml">Gdzie ja mam klawiatur?</a>

Revision 1.9  2002/07/13 13:36:24  blues
- 1.0.0-pre2
- new scheme of instalation (ac/am/lt) - full regeneration added
- new doc
- separated static subpackage
- added missing things.

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/12 22:53:15  blues
- docs simplified

Revision 1.5  2001/12/02 01:44:55  kloczek
- cosmetics.

Revision 1.4  2001/11/30 15:57:38  qboosh
- cosmetics, don't strip in %%install

Revision 1.3  2001/11/30 10:57:18  alchemyx
- divided into subpackages
- adapterized once more
- release 1, STB if you wish (probably you don't, because of freezing :P)

Revision 1.2  2001/11/30 10:27:16  alchemyx
- added URLs
- added PL descriptions
- adapterized
